::d2x-beta.bat should be saved here in order for ModMii v4.6.0+ to use it: modules\More-cIOSs\{ANY FOLDER NAME}\d2x-beta.bat

::--------update what comes after "d2x-beta-rev=" and "ciosversion=" below----------
::"magicword" should be contained in this file for modmii to not check for updates or enable legacy cIOS build mode (effective v7.0.3+)
set ciosversion=21006
::must be <=65535
::if ciosversion above is different from version in ciosmaps.xml, then ModMii v6.5.2 or higher required to build it successfully

set d2x-beta-rev=6-final
::This info is used to sign *00.app file for cIOS detection, everything after "=" but before the first "-" is considered the version # and it must be a number! Good examples are "5-beta1-test1" or "5" or "999". Bad examples are "5beta1" or "five-beta1" or "-5-beta1"
::everything after the first "-" is considered the version string (limited by 16 chars) and it only recognizes letters, numbers and + - _ ( ) [ ]
::5 chars of version string is used up if ciosmaps_vWii.xml exists to append "-vWii" to tag, so version string limit is actually 11 chars if vWii is supported


set cIOSFamilyName=d2x
::Only change this if building a cIOS that isn't a "d2x" branded cIOS. This string is limited by 16 chars and it only recognizes letters, numbers and + - _ ( ) [ ]


if "%wadname%"=="" goto:endofd2xbat

::------------------------Section to update (below)--------------------
::here you should enter the new beta cIOS hashes (under the OLD non-beta "wadname")
::d2x-beta-md5-updater.bat can be used to help update hashes
if /i "%wadname:~0,17%" EQU "cIOS249[37]-d2x-v" set md5=20a99ded10e8d0ce321ab459b05dde65
if /i "%wadname:~0,17%" EQU "cIOS250[37]-d2x-v" set md5=b9a919c3901b3b7eac297ed7bc63c6c8
if /i "%wadname:~0,17%" EQU "cIOS249[38]-d2x-v" set md5=af19c74d84a1dda10378780343e7cb5d
if /i "%wadname:~0,17%" EQU "cIOS250[38]-d2x-v" set md5=223007e67cc00e5db5ce437f07a1cc39
if /i "%wadname:~0,17%" EQU "cIOS249[53]-d2x-v" set md5=3d500a37547748ab16d2c144b03c71f4
if /i "%wadname:~0,17%" EQU "cIOS250[53]-d2x-v" set md5=aeef8a50cf44b052c56404677b7fdba2
if /i "%wadname:~0,17%" EQU "cIOS249[55]-d2x-v" set md5=a40126c5210a711aad4977b766f94a46
if /i "%wadname:~0,17%" EQU "cIOS250[55]-d2x-v" set md5=14fe21024db78b16294fea754822ac66
if /i "%wadname:~0,17%" EQU "cIOS249[56]-d2x-v" set md5=12e40067cd33b0e0c9af250030f15bff
if /i "%wadname:~0,17%" EQU "cIOS250[56]-d2x-v" set md5=0096fed2d7893df870bf14499427275e
if /i "%wadname:~0,17%" EQU "cIOS249[57]-d2x-v" set md5=ea3c66645e674f16589399c0639c6cf6
if /i "%wadname:~0,17%" EQU "cIOS250[57]-d2x-v" set md5=16056b95dbc6071a3905c1a337129d5d
if /i "%wadname:~0,17%" EQU "cIOS249[58]-d2x-v" set md5=85f01b94fb1e3577d66766fdccbad2ca
if /i "%wadname:~0,17%" EQU "cIOS250[58]-d2x-v" set md5=bb423cb3485a5c26db750b6cff782d40
if /i "%wadname:~0,17%" EQU "cIOS248[38]-d2x-v" set md5=ba61d92520a620a4669098815c4bbb9c
if /i "%wadname:~0,17%" EQU "cIOS251[58]-d2x-v" set md5=f15861884dc0d280809c090fc75d9515
::two sets of md5s for legacy wad(mii) packer support
if /i "%wadname:~0,17%" EQU "cIOS249[37]-d2x-v" set md5alt=afc02e115f844760943cc0b9a8a0aa7a
if /i "%wadname:~0,17%" EQU "cIOS250[37]-d2x-v" set md5alt=554333699429b9d1737bed9266f2592f
if /i "%wadname:~0,17%" EQU "cIOS249[38]-d2x-v" set md5alt=c6c1b282195a4d5ee3a5c1e247be43ae
if /i "%wadname:~0,17%" EQU "cIOS250[38]-d2x-v" set md5alt=d1dada13465a3e97501223342834a5bb
if /i "%wadname:~0,17%" EQU "cIOS249[53]-d2x-v" set md5alt=675636a5403de4ae3664d92213c07516
if /i "%wadname:~0,17%" EQU "cIOS250[53]-d2x-v" set md5alt=1831de542e6a02308e1e59e4d16e9245
if /i "%wadname:~0,17%" EQU "cIOS249[55]-d2x-v" set md5alt=e7c5e3e2b9d09c4b5cde9e6f1f3df3fc
if /i "%wadname:~0,17%" EQU "cIOS250[55]-d2x-v" set md5alt=50c7d41af7b1d4c269fc7b98655e02dd
if /i "%wadname:~0,17%" EQU "cIOS249[56]-d2x-v" set md5alt=1613ae5e25874575ea0fe6554d45e14a
if /i "%wadname:~0,17%" EQU "cIOS250[56]-d2x-v" set md5alt=84f476305e5b0777bc5f66199f8efa2f
if /i "%wadname:~0,17%" EQU "cIOS249[57]-d2x-v" set md5alt=5a552e01a2f55e24f7fa10eeb65bba35
if /i "%wadname:~0,17%" EQU "cIOS250[57]-d2x-v" set md5alt=fedb9d77d18dc698f5086c38267f7690
if /i "%wadname:~0,17%" EQU "cIOS249[58]-d2x-v" set md5alt=30b1e23ef38b0c2d1b6b887f0f4fc27a
if /i "%wadname:~0,17%" EQU "cIOS250[58]-d2x-v" set md5alt=48c72d7f10bd9e8456a9504ac027190a
if /i "%wadname:~0,17%" EQU "cIOS248[38]-d2x-v" set md5alt=9602690171768cd70be1a4946fb9b3ce
if /i "%wadname:~0,17%" EQU "cIOS251[58]-d2x-v" set md5alt=d172b2f74b3ce0de908048ead21c4054
::------------------------Section to update (above)--------------------

::----------Additional Instructions---------------
::save any of the following beta files to the following directory
::if any of the following is not found, the standard d2x module used in the previous ModMii release will continue to be used
::modules\More-cIOSs\{ANY FOLDER NAME}\mload.app
::modules\More-cIOSs\{ANY FOLDER NAME}\FAT.app
::modules\More-cIOSs\{ANY FOLDER NAME}\SDHC.app
::modules\More-cIOSs\{ANY FOLDER NAME}\EHCI.app
::modules\More-cIOSs\{ANY FOLDER NAME}\USBS.app
::modules\More-cIOSs\{ANY FOLDER NAME}\DIPP.app
::modules\More-cIOSs\{ANY FOLDER NAME}\ES.app
::modules\More-cIOSs\{ANY FOLDER NAME}\FFSP.app
::------------------------------------------------------

::set md5alt=%md5%

::change some variables
set wadname=%wadname:~0,17%%d2x-beta-rev%
if /i "%name:~0,17%" NEQ "Advanced Download" set name=%wadname%

:endofd2xbat 

